| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csComparatorStruct< T > Class Template Reference
[Containers]

Template that can be used as a base class for comparators for POD (plain old data) types. More...

`#include <csutil/comparator.h>`

List of all members.

## Static Public Member Functions
static int | Compare (T const &r1, T const &r2)

## Detailed Description

### template<class T>
class csComparatorStruct< T >

Template that can be used as a base class for comparators for POD (plain old data) types.

It uses memcmp() to compare the raw memory representing the two items. Example:

     template<> csComparator<MyStruct> :
       public csComparatorStruct<MyStruct> {};

Definition at line 119 of file comparator.h.

The documentation for this class was generated from the following file:

- csutil/comparator.h